apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
    # Same namespace as the deployment
    namespace: home-stuff
    # Name of the ingress (see kubectl get ingress -A)
    name: nextcloud-ingress
    annotations:
        # < use the nginx ingress controller
        kubernetes.io/ingress.class: nginx
        # < communicate in https with the backend (service/pod)
        nginx.ingress.kubernetes.io/backend-protocol: HTTPS
        # < use letsencrypt-prod application in kubernetes to generate ssl certificate
        cert-manager.io/cluster-issuer: letsencrypt-prod
        nginx.ingress.kubernetes.io/proxy-body-size: 10240m
spec:
    tls:
        - hosts:
            - ENC[AES256_GCM,data:/dFG8WwxtPHMbwgmbAjdz6QDUxX3yYH3hQ==,iv:0rs5+aPJkPFK1PFYm3aJj68DQx5d/0wjA5ZbdKIucGw=,tag:RmkcX/Ln2TTU44ZvcxamiQ==,type:comment]
            - ENC[AES256_GCM,data:9ur1tPOTZtjJyA8rDTkZfS3fFPFstw==,iv:1oAFvEEdHIQcoC1LP/mVrmi9ud7J9zeuTZra8rt8Jx4=,tag:gTksJhMa4f9r+OmCeP/Reg==,type:str]
          #ENC[AES256_GCM,data:7NQru2/W17qW4txo8NiGU8i86rw641mb5Vwf3bm5QH2vPYAj/Ba3FWPrAZByxQ4bT7wu+g9z/Xn3,iv:Ma2nVj00yetIplpAgrdsoHGdLhL1vUVI8/pKUdtPaKg=,tag:LNiNr2Yx0AvFHbEOJNg9lQ==,type:comment]
          secretName: ENC[AES256_GCM,data:+hbb0IEPLkQ0r2oL/goxGpIY,iv:2ydOqHsd8xRlvfxzlC2OYnoNA+lPEKUUY6ccs51uDZk=,tag:4g9RSA43Oi8zl1SOaPMYuw==,type:str]
    rules:
        - ENC[AES256_GCM,data:efUfaSUngi4z2K/IDv+MxcBTW6IueWssww==,iv:IAdKCFbEdsIrSf/03wJXIMe9lclE3wgYgbJO6DK9jTM=,tag:mxl9/dE9QoPU2is6iBkD0A==,type:comment]
        - host: ENC[AES256_GCM,data:C13jvczDNwUVvTD0mz2tiWBcwJl/Bg==,iv:vvKm68CRf7NAI5G+abEuyEoTXtWjAFqgyOb3J7nwYwo=,tag:WDPbDl6KQSl6yymFTFSiVw==,type:str]
          http:
            paths:
                - ENC[AES256_GCM,data:66/MyFSOZeb2wvgT1Qtp+Y9diPEocdSBCtODaT2bd0cnX+XrW+Ks68gIgFGdTcMMcwhOnA5dWkd3IRBqCA176rQWmR9E,iv:FYc5XJbrlZh7GBPUSTBTn4OgyDX1qdwS7Mh0TCqwF94=,tag:9esDUxKATtCcRF46B4/aUA==,type:comment]
                - path: ENC[AES256_GCM,data:+Q==,iv:vxGktWEEmcNtQLgBeiNqVzRWBcxnC7EWjIbssIswgPQ=,tag:0tVGmN7CkyzFqPoC7jE1PQ==,type:str]
                  pathType: ENC[AES256_GCM,data:AqqqcfIC,iv:LYatMLWtThLoK3BKmWnZZ13ARs+84Cb6aIwzqL2qG9c=,tag:RdYydD67x4qkwDZnl9PvfA==,type:str]
                  backend:
                    service:
                        #ENC[AES256_GCM,data:dlVvKDDC89AId/ajPA8RBG8OLvaynk03gJHPCqKPJkWc0plACfGR2dSMzjFoC7rUabuxTOdsUQKtg1ovEE+L,iv:i54WFoMlHnWDtLMl2hWRoEoWPrSRQ7kuOT1G8DzfC68=,tag:MJQb3aEZCctIhOAcwYaEBg==,type:comment]
                        name: ENC[AES256_GCM,data:0ZePaMLcEPOGKzkVMV4wXdc=,iv:n7gX7CdDzDKPP6sUFfvN5sPr41dYZ1fgzRJS5pxxwCE=,tag:wtp9qDCwOBjfvJT0goqEJA==,type:str]
                        port:
                            #ENC[AES256_GCM,data:ku03bhGiaeOwsh1xl+ZIT8K9+ZOL1u0JDxxa4/odpasFWT2owkYNZc6m/2N9hvpsSDazsNEAavlJrk0s,iv:66IRE5URYo/rMx0mip+pV3tYoxekojsF02KnHMGF/cU=,tag:oukc+qjqyYr1/JeK1aNAhQ==,type:comment]
                            number: ENC[AES256_GCM,data:u7TK,iv:ClNZdIRVlpQ4iLqraHGxvNb/C/DA6hqxVmBVv17E1/s=,tag:/GDdlQvDbRfVl9XtkFKwhg==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBLc3NtNzJLVzdIdnBxSURZ
            M0x0Wk9EYzhGOStXSC9sNGxYRVFreng2SUJnCkZpc2NkQm9ZZUF1TEUwTTBtTHFB
            N2NrcFl0K0l0MUVrYlgxWnhPTXp5SjAKLS0tIEluT0p3dUFKb2svZXVYRnpta0Js
            cHg3LzhhYXp4ZGp2YkdJb3lxckxiQkkKKEOxwSzJ+RIvZpKDY8fR6b4KaAfwMqon
            X1bl80wzIzqOk04WnhvGKvBzEvfJ/PqesLGE1mbXHNw11Gwi1FHE4Q==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-21T20:34:13Z"
    mac: ENC[AES256_GCM,data:lUEkdmkDcflW3b1sNQOwJehXaaieewilxu2Ol8PbxnaddqD8DlwIC45LO0SbmUdGRtHGGf48+12UurSTfwdLzHAQMNEzpgfuOr5eR9pwZw7YaNm914LMWKtvXfM9Ea9Ki0z4ER9f7wJ4h6Adt9zWuwN9eLEvn3mLxx1vdDMSHPc=,iv:xUuD9zjlNvjBwWW5BhYbcy/RlT2vpcSTBfPMP5s0+yU=,tag:KutAUWSE4Z4wwLnLqyMRDA==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
